Bug 36689 - Installer won't locate driver disk in LS-120 ide floppy drive /dev/hdX
Summary: Installer won't locate driver disk in LS-120 ide floppy drive /dev/hdX
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-19 21:03 UTC by Scott Grigsby
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 02:03:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Grigsby 2001-04-19 21:03:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.17-14 i686)


My floppy drive is an (IDE) LS-120 "SuperDisk" that the kernel detects as
/dev/hdd.  I can boot from the boot floppy, but when the installer asks me
to insert the driver disk, it only looks for the floppy in /dev/fd0, which
doesn't exist.  And I can't find any way to tell the installer to look for
the driver disk in another location, such as /dev/hdd, where my floppy
really is.

Reproducible: Always
Steps to Reproduce:
1. Boot the install disk from an ide-floppy device (e.g. LS-120) that would
be detected as /dev/hd*
2. At the boot prompt, type 'linux expert dd' to make it request a driver
disk
3. When it asks for the driver disk, notice that the installer looks for it
in /dev/fd0, which would normally be correct, but not if you have an
ide-floppy drive, which is actually /dev/hdd (or whatever -- depends on
where the device is installed).  The installer will never find the driver
disk.
	

Actual Results:  The installer complains that it can't find the driver disk
in /dev/fd0.

Expected Results:  The installer should ask the user where the floppy disk
(drive) is located,  so you can  tell it to look in /dev/hdd (or wherever).

I have a Gateway Solo 9100 laptop with an LS-120 floppy drive and DVD
drive.
I really could solve this problem by going out and buying the RedHat CDROM,
but I'm trying to install RH7.1 from an NFS partition on my desktop
machine, so I need to boot the pcmcia disks (and load the driver disk) to
get my CardBus ethernet card to work.

Comment 1 Brent Fox 2001-04-19 23:01:55 UTC
Can you disable your floppy controller in the bios?  On my test machine here, I
have an LS-120, but no floppy.  The driver disk won't work unless I disable the
floppy controller in the bios.  Otherwise, the kernel sees the controller and
assumes that there is a device at /dev/fd0.  Try this and tell me if it works.


Comment 2 Scott Grigsby 2001-04-19 23:22:32 UTC
Yes, that worked!  (I had stupidly(?) assumed that disabling the floppy
controller in the bios would render the LS-120 drive completely disabled -- i.e.
non-functional.)  I should have tried it anyway.  Thanks for the help!!


Note You need to log in before you can comment on or make changes to this bug.